Workspace readiness
Whether audits of this workspace can run right now, and why not when they cannot.
GET
Whether audits of this workspace can run right now, and why not when they cannot.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
audits_can_run*Audits Can RunWhether a new audit of this workspace can start and finish right now.
checked_at*Checked AtFormat
date-timenotices*array<>Degraded capabilities that do not stop audits, such as AI analysis.
reason*string|nullreason_code*|Why audits cannot run, when they cannot.
sources*Whether audits of each source kind can run.
workspace_id*Workspace IdFormat
uuidcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/readiness'Example Response
{ "audits_can_run": true, "checked_at": "2019-08-24T14:15:22Z", "notices": [ { "code": "string", "message": "string" } ], "reason": "string", "reason_code": "string", "sources": { "property1": true, "property2": true }, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}